INSEGT(1)

NAME
insegt - INtersecting SEcond Generation sequencing daTa with annotation

SYNOPSIS
insegt [OPTIONS] <ALIGMENTS-FILE> <ANNOTATIONS-FILE>

DESCRIPTION
INSEGT is a tool to analyze alignments of RNA-Seq reads (single-end or paired-end) by using gene-annotations.

Input to INSEGT is a SAM file containing the alignments and a file containing the annotations of the reference genome, either in GFF or GTF format.

REQUIRED ARGUMENTS

ARGUMENT 0 INPUT_FILE
     Valid filetype is: .sam.

ARGUMENT 1 INPUT_FILE
     Valid filetypes are: .gtf and .gff.

OPTIONS

-h, --help
    Display the help message.

--version
    Display version information.

  Options: :

-ro, --read-output OUTPUT_FILE
    Output filename for read-output, which contains the mapped annotations followed by their parent annotation. Valid filetype is: .gff.

-ao, --anno-output OUTPUT_FILE
    Output filename for anno-output, which contains the annotations similar to the GFF input and additionally the counts of the mapped reads and the normalized expression levels in RPKM. Valid filetype is: .gff.

-to, --tuple-output OUTPUT_FILE
    Output filename for tuple-output, which contains exon tuples connected by reads or matepairs. Valid filetype is: .gff.

-fo, --fusion-output STRING
    Output filename for fusion-output, which contains exon tuple of gene fusions (Advanced option, currently no output port for KNIME). One of gff.

-n, --ntuple INTEGER
    ntuple Default: 2.

-o, --offset-interval INTEGER
    Offset to short alignment-intervals for search. Default: 5.

-t, --threshold-gaps INTEGER
    Threshold for allowed gaps in alignment (not introns). Default: 5.

-c, --threshold-count INTEGER
    Threshold for min. count of tuple for output. Default: 1.

-r, --threshold-rpkm DOUBLE
    Threshold for min. RPKM of tuple for output. Default: 0.0.

-m, --max-tuple
    Create only maxTuple (which are spanned by the whole read).

-e, --exact-ntuple
    Create only Tuple of exact length n. By default all tuple up to the given length are computed (if -m is set, -e will be ignored).

-u, --unknown-orientation
    Orientation of reads is unknown.

EXAMPLES

insegt  example/alignments.sam example/annotations.gff
    Run INSEGT on example files with default parameters.

insegt -m example/alignments.sam example/annotations.gff
    Run INSEGT on example files and only compute maxTuple.

insegt -c 2 example/alignments.sam example/annotations.gff
    Run INSEGT on example files and only output tuple with a min. count of 2.